---
title: "Delete a list of devices"
slug: "delete-a-list-of-devices"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/delete-a-list-of-devices"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete a list of devices
Post/api/v1/devices/bulk-delete
SecurityHTTPType bearer
Query parametersnamestring
groupNamestring
orgIdstring
hostnamestring
ipstring
connectionTypearray of string
Filter devices by connection type. Availabe values are SSH/RDP/HTTP/HTTPS/VNC/TELNET
sitenamestring
citystring
countrystring
tagsarray of string
Filter device by tags
Body parameters
The new account status for the user
object deleteAllboolean
deviceId Array of string string
Responses200
OK
Expand Allobject authorizationboolean
dataobject devices Array of object object deviceIdstring
messagestring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
500
Could not get devices - Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean